Loading...
Searching...
No Matches
barrier.h File Reference
`#include <starpu_thread.h>`

Go to the source code of this file.

## Data Structures

struct | _starpu_barrier

## Functions

int | _starpu_barrier_init (struct _starpu_barrier *barrier, int count)
int | _starpu_barrier_destroy (struct _starpu_barrier *barrier)
int | _starpu_barrier_wait (struct _starpu_barrier *barrier)

## Data Structure Documentation

## _starpu_barrier

struct _starpu_barrier

Data Fields
unsigned | count |
unsigned | reached_start |
unsigned | reached_exit |
double | reached_flops |
starpu_pthread_mutex_t | mutex |
starpu_pthread_mutex_t | mutex_exit |
starpu_pthread_cond_t | cond |